"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compileRenderer = void 0;
const chalk_1 = __importDefault(require("chalk"));
const figures_1 = __importDefault(require("figures"));
const diag_renderer_1 = require("./diag-renderer");
exports.compileRenderer = {
    onUpdate: (ctx) => {
        const output = [''];
        ctx.tasks.forEach((task) => {
            var _a, _b, _c;
            const outputType = task.state === 'completed' && ((_a = task.output) === null || _a === void 0 ? void 0 : _a.contentType)
                ? task.output.contentType
                : undefined;
            let titleLine = [
                (0, diag_renderer_1.getTaskSymbol)(task),
                outputType && `(${outputType})`,
                (_b = task.data) === null || _b === void 0 ? void 0 : _b.file,
            ]
                .filter(Boolean)
                .join(' ');
            if ((_c = task.data) === null || _c === void 0 ? void 0 : _c.outputFile) {
                titleLine = [
                    titleLine,
                    figures_1.default.arrowRight,
                    task.data.outputFile,
                ].join(' ');
            }
            output.push(titleLine);
            if (task.state === 'completed') {
                if (task.error) {
                    output.push(`  ${figures_1.default.arrowRight} ${chalk_1.default.red('bad')}`);
                }
            }
        });
        return output.join('\n');
    },
    onEnd: (ctx) => {
        return [exports.compileRenderer.onUpdate(ctx)].join('\n');
    },
};
